org.apache.poi.hssf.record

## Class HeaderFooterBase

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.HeaderFooterBase

- All Implemented Interfaces:
    Duplicatable
  Direct Known Subclasses:
    FooterRecord, HeaderRecord

      public abstract class HeaderFooterBase
      extends StandardRecord

  Common header/footer base class

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HeaderFooterBase(HeaderFooterBase other)`
    `protected` | `HeaderFooterBase(RecordInputStream in)`
    `protected` | `HeaderFooterBase(java.lang.String text)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract HeaderFooterBase` | `copy()`
    `protected int` | `getDataSize()`
    `java.lang.String` | `getText()`
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setText(java.lang.String text)` set the footer string

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, getSid, serialize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderFooterBase

          protected HeaderFooterBase(java.lang.String text)

    - #### HeaderFooterBase

          protected HeaderFooterBase(HeaderFooterBase other)

    - #### HeaderFooterBase

          protected HeaderFooterBase(RecordInputStream in)

  - ### Method Detail

    - #### setText

          public final void setText(java.lang.String text)

      set the footer string
      Parameters:
        `text` - string to display

    - #### getText

          public final java.lang.String getText()

    - #### serialize

          public final void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected final int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### copy

          public abstract HeaderFooterBase copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.